Summary: Text tool for setting the timezone and clockmode
Name: timeconfig
%define version 2.1
Version: %{version}
Release: 3
Copyright: GPL
Group: Utilities/System
Source: timeconfig-%{version}.tar.gz
Requires: initscripts >= 2.81, glibc >= 2.0.5-5
Prereq: fileutils, gawk

%changelog

* Sat Oct 11 1997 Erik Troan <ewt@redhat.com>

- use proper flags for hwclock

* Tue Sep 16 1997 Erik Troan <ewt@redhat.com>

- instead of creating /usr/lib/zoneinfo, just update /etc/localtime

* Wed Sep 10 1997 Erik Troan <ewt@redhat.com>

- look for zoneinfo in /usr/share instead of /usr/lib
- provide /usr/lib/zoneinfo symlink

%description
This is a simple tool for setting both the timezone and the way your
system clock stores the time. It runs in text mode using a simple
windowing system.

%prep
%setup 

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make install
rm -f /usr/lib/zoneinfo

%post
if [ -L /etc/localtime -a ! -e /etc/localtime ]; then
    ln -sf `ls -ld /etc/localtime | awk '{ print $11}' | sed 's/lib/share/'` /etc/localtime
fi

%files
/usr/sbin/timeconfig
/usr/sbin/setclock
/usr/man/man8/timeconfig.8
/usr/man/man8/setclock.8
